#!/bin/bash

mkdir tmp_${1}
mv ${1}_* ./tmp_${1}/

FILES="./tmp_$1/*"
i=0
for f in $FILES
do
	i=$((i+1))
	mv $f ${1}_${i}
done
rmdir tmp_${1}
echo ${1} $i
if [ "$i" -le 512 ]
then
	./pgsort -u -m ${1} 1 ${i} -o ${1}
else
	j=1
	while [ "$i" -gt "$((128*j))" ]
	do
		./pgsort -u -m ${1} $((128*(j-1)+1)) $((128*j)) -o t_${1}_${j}
		j=$((j+1))
	done
	./pgsort -u -m ${1} $((128*(j-1)+1)) ${i} -o t_${1}_${j}
	./pgsort -u -m t_${1} 1 ${j} -o ${1}
	rm t_${1}_*	
fi

rm ${1}_*
