//#define cygwin
//#define batch
#define bash
//#define sharcnet
#ifdef cygwin
  const char sort_command[] = "pgsort";
  const char mv_command[] = "ren";
  const char del_command[] = "del";
  const char ramsey_command[] = "./Ramsey";
  const char merge_command[] = "./merge.sh";
  const char split_command[] = "split";
  const char batch_extension[] = "sh";
  const char descr_extension[] = "d";
  const char short_extension[] = "s";
  const char old_extension[] = "bak";
  const char echo_command[] = "echo";
#endif
#ifdef batch
  const char sort_command[] = "pgsort";
  const char mv_command[] = "ren";
  const char del_command[] = "del";
  const char ramsey_command[] = "Ramsey";
  const char merge_command[] = "call merge";
  const char split_command[] = "split"; // problem - there is no such command 
  const char batch_extension[] = "bat";
  const char descr_extension[] = "d";
  const char short_extension[] = "s";
  const char old_extension[] = "bak";
  const char echo_command[] = "echo";
#endif
#ifdef bash
  const char sort_command[] = "./pgsort";
  const char mv_command[] = "mv";
  const char del_command[] = "rm";
  const char ramsey_command[] = "./ramsey";
  const char merge_command[] = "./merge.sh";
  const char split_command[] = "split";
  const char batch_extension[] = "sh";
  const char descr_extension[] = "d";
  const char short_extension[] = "s";
  const char old_extension[] = "bak";
  const char echo_command[] = "echo";
#endif
#ifdef sharcnet
  //maybe we define something
#endif

