#!/bin/bash

if [ "$1" -eq "$2" ] 
then 
  q=1
  ./ramsey3a R${1}${2}${3} ${4} ${1} 0 0
else 
  q=0
  ./ramsey3a R${1}${2}${3} ${4} ${1} ${2} ${3}
fi
b=${4}
for (( a=${b}; a>=$((b-1)); a-- )) do 
  ./ramrun3 -m R${1}${2}${3}
  chmod u+x ./R${1}${2}${3}_${a}m.sh
  ./R${1}${2}${3}_${a}m.sh
  ./ramrun3 -d R${1}${2}${3}
  chmod u+x ./R${1}${2}${3}_${a}d.sh
  ./R${1}${2}${3}_${a}d.sh
  ./ramrun3 -rd 1 R${1}${2}${3}b R${1}${2}${3} ${q}
  chmod u+x ./R${1}${2}${3}_${a}.sh
  ./R${1}${2}${3}_${a}.sh
  ./ramrun3 -m R${1}${2}${3}b
  chmod u+x ./R${1}${2}${3}b_$((a-1))m.sh
  ./R${1}${2}${3}b_$((a-1))m.sh
  ./ramrun3 -e R${1}${2}${3}b ${q}
  chmod u+x ./R${1}${2}${3}b_$((a-1))e.sh
  ./R${1}${2}${3}b_$((a-1))e.sh
  ./ramrun3 -Rde 1 R${1}${2}${3}b R${1}${2}${3} ${q}
  chmod u+x ./R${1}${2}${3}b_$((a-1)).sh
  ./R${1}${2}${3}b_$((a-1)).sh
done
for (( ; a>=2; a-- )) do 
  ./ramrun3 -m R${1}${2}${3}
  chmod u+x ./R${1}${2}${3}_${a}m.sh
  ./R${1}${2}${3}_${a}m.sh
  ./ramrun3 -e R${1}${2}${3} ${q}
  chmod u+x ./R${1}${2}${3}_${a}e.sh
  ./R${1}${2}${3}_${a}e.sh
  ./ramrun3 -de R${1}${2}${3}
  chmod u+x ./R${1}${2}${3}_${a}d.sh
  ./R${1}${2}${3}_${a}d.sh
  ./ramrun3 -rd 1 R${1}${2}${3}b R${1}${2}${3} ${q}
  chmod u+x ./R${1}${2}${3}_${a}.sh
  ./R${1}${2}${3}_${a}.sh
  ./ramrun3 -m R${1}${2}${3}b
  chmod u+x ./R${1}${2}${3}b_$((a-1))m.sh
  ./R${1}${2}${3}b_$((a-1))m.sh
  ./ramrun3 -e R${1}${2}${3}b ${q}
  chmod u+x ./R${1}${2}${3}b_$((a-1))e.sh
  ./R${1}${2}${3}b_$((a-1))e.sh
  ./ramrun3 -Rde 1 R${1}${2}${3}b R${1}${2}${3} ${q}
  chmod u+x ./R${1}${2}${3}b_$((a-1)).sh
  ./R${1}${2}${3}b_$((a-1)).sh
done
